# -*- coding: utf-8 -*-
# Copyright (c) 2021, SolutionERP LLC and contributors
# For license information, please see license.txt

import xhiveframework
from xhiveframework.model.document import Document


class WebsiteOffer(Document):
	pass


@xhiveframework.whitelist(allow_guest=True)
def get_offer_details(offer_id):
	return xhiveframework.db.get_value("Website Offer", {"name": offer_id}, ["offer_details"])
